Page MenuHomePhabricator

efl/config: add missing gesture config value handlers
ClosedPublic

Authored by zmike on Jan 30 2020, 8:48 AM.

Details

Summary

these are stored in the config here so they should be manageable here as well

Depends on D11251

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 30 2020, 8:48 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike updated this revision to Diff 28757.Jan 31 2020, 6:56 AM
zmike edited the summary of this revision. (Show Details)

add more values

bu5hm4n requested changes to this revision.Feb 3 2020, 11:16 PM
bu5hm4n added a subscriber: bu5hm4n.

I really like the idea of this, however:

  • it seems a bit weird to me that we only emit the changed event for a few config keys, not for all that we have here.
  • I think we should also somehow document that this changed event will only be emitted when efl.ui API is used, not when legacy is used.
This revision now requires changes to proceed.Feb 3 2020, 11:16 PM
zmike added a comment.Feb 4 2020, 6:02 AM
  • This is a bad patch split and I didn't notice until now; it's emitted for all config events, but the other event calling is added in D11251 at this exact moment
  • I don't see why we need to document anything legacy-related in unified docs?
zmike added a comment.Feb 4 2020, 6:14 AM

I lied, the split is perfect, it's just the patch ordering that's wrong.

zmike requested review of this revision.Feb 5 2020, 7:07 AM
zmike updated this revision to Diff 28878.Feb 6 2020, 6:38 AM
zmike edited the summary of this revision. (Show Details)

set _elm_config members in new set macro

zmike updated this revision to Diff 28879.Feb 6 2020, 7:37 AM

use right variable in macro

zmike updated this revision to Diff 28896.Feb 7 2020, 7:21 AM

rebase

bu5hm4n accepted this revision.Feb 12 2020, 6:10 AM
This revision is now accepted and ready to land.Feb 12 2020, 6:10 AM
Closed by commit rEFL6a3f10d719a2: efl/config: add missing gesture config value handlers (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 14 2020, 12:24 AM
This revision was automatically updated to reflect the committed changes.